%define _sysconfdir /etc

Summary: A collection of basic system utilities.
Name: util-linux
Version: 2.10q
Release: 1.3.0
Copyright: distributable
Group: System Environment/Base
Provides: util-linux
Source0: ftp://ftp.kernel.org/pub/linux/utils/util-linux/util-linux-%{version}.tar.gz
Source1: util-linux-GD-login.pamd 
Source2: util-linux-2.9w-kbdrate.pamd
Source3: util-linux-2.9w-kbdrate.apps
Patch0: util-linux-2.10q-master.patch
Patch1: util-linux-2.10q-pt_BR-duplicate-gd-1.diff

%ifarch sparc alpha
Obsoletes: clock
%endif
%ifarch alpha
Conflicts: initscripts <= 4.58, timeconfig <= 3.0.1
%endif
BuildRoot: %{_tmppath}/%{name}-root
Requires: pam >= 0.72-1.0.1, kernel >= 2.2.17

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
the login program.

%prep

%setup -q

%patch0 -p1
%patch1 -p1

%build
unset LINGUAS || :
./configure
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" 

cd rescuept
gcc $RPM_OPT_FLAGS -o rescuept rescuept.c
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,etc/pam.d,sbin}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,6,8}
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{cs,de,fr,it,ja,nl,pt_BR}/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
mkdir -p -m 0750 $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d

make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 rescuept/rescuept ${RPM_BUILD_ROOT}/sbin

gzip -9nf $RPM_BUILD_ROOT/%{_infodir}/ipc.info

strip $RPM_BUILD_ROOT/bin/login
strip $RPM_BUILD_ROOT/sbin/fdisk

install -m 660 ${RPM_SOURCE_DIR}/util-linux-GD-login.pamd \
	$RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/login
install -m 660 ${RPM_SOURCE_DIR}/util-linux-2.9w-kbdrate.pamd \
	$RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/kbdrate
install -m 660 ${RPM_SOURCE_DIR}/util-linux-2.9w-kbdrate.apps \
	$RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/kbdrate
(cd $RPM_BUILD_ROOT/usr/bin ; ln -s consolehelper kbdrate)

rm -f $RPM_BUILD_ROOT/sbin/clock
ln -s hwclock $RPM_BUILD_ROOT/sbin/clock

# We do not want dependencies on csh
chmod 644 $RPM_BUILD_ROOT/usr/share/misc/getopt/*

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/share/locale/*/LC_MESSAGES/*

/sbin/clock
%attr(0750,root,root)	/sbin/hwclock
%doc %{_mandir}/man8/hwclock.8*

%attr(0660,root,admin) %config %{_sysconfdir}/pam.d/login

%attr(0660,root,admin) %config %{_sysconfdir}/pam.d/kbdrate
%attr(0660,root,admin) %config %{_sysconfdir}/security/console.apps/kbdrate
/usr/bin/kbdrate

%attr(0750,root,root)	/sbin/fdisk

%ifarch i386 i486 i586 i686 alpha armv4l
%attr(0750,root,root)	/sbin/cfdisk
%endif

%ifarch i386 i486 i586 i686 alpha
%attr(0750,root,root)	/sbin/fsck.minix
%attr(0750,root,root)	/sbin/mkfs.minix
%endif

/usr/bin/raw
%doc %{_mandir}/man8/raw.8*

%attr(0750,root,root)	/sbin/mkfs
%attr(0750,root,root)	/sbin/mkswap

/usr/bin/fdformat
/usr/bin/setfdprm
%config /etc/fdprm

%doc %{_mandir}/man8/fdformat.8*
%doc %{_mandir}/man8/mkswap.8*
%doc %{_mandir}/man8/setfdprm.8*

%ifarch i386 i486 i586 i686 alpha sparc
%attr(755,root,root)	/bin/login
%attr(0750,root,admin)	/usr/sbin/vipw
%attr(0750,root,admin)	/usr/sbin/vigr
%doc %{_mandir}/man1/login.1*
%doc %{_mandir}/man8/vipw.8*
%doc %{_mandir}/man8/vigr.8*
%endif

/bin/kill
/usr/bin/cal
%ifarch sparc
/usr/bin/sunhostid
%endif
%attr(0750,root,root)	/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
/usr/bin/whereis
%attr(0755,root,tty)	/usr/bin/write
/usr/bin/getopt
%doc %{_mandir}/man1/cal.1*
%doc %{_mandir}/man1/kill.1*
%doc %{_mandir}/man1/logger.1*
%doc %{_mandir}/man1/look.1*
%doc %{_mandir}/man1/mcookie.1*
%doc %{_mandir}/man1/namei.1*
%doc %{_mandir}/man1/script.1*
%doc %{_mandir}/man1/setterm.1*
%doc %{_mandir}/man1/whereis.1*
%doc %{_mandir}/man1/write.1*
%doc %{_mandir}/man1/getopt.1*

/usr/share/misc/getopt

/bin/dmesg

%attr(0711,root,root)	/sbin/ctrlaltdel
/sbin/kbdrate
/bin/arch
%attr(0750,root,root)	/usr/bin/ipcrm
%attr(0750,root,root)	/usr/bin/ipcs
%attr(0750,root,root)	/usr/bin/renice
/usr/bin/setsid
%ifarch i386 i486 i586 i686 alpha armv4l
/usr/bin/cytune
%endif

%doc %{_mandir}/man1/arch.1*
%ifarch i386 i486 i586 i686 alpha armv4l
%doc %{_mandir}/man8/cytune.8*
%endif
%doc %{_mandir}/man8/ctrlaltdel.8*
%doc %{_mandir}/man8/dmesg.8*
%doc %{_mandir}/man8/ipcrm.8*
%doc %{_mandir}/man8/ipcs.8*
%doc %{_mandir}/man8/kbdrate.8*
%doc %{_mandir}/man8/renice.8*
%doc %{_mandir}/man8/setsid.8*

%ifarch i386 i486 i586 i686
%attr(0750,root,root) /usr/sbin/rdev
/usr/sbin/ramsize
/usr/sbin/rootflags
/usr/sbin/swapdev
/usr/sbin/vidmode
%doc %{_mandir}/man8/rdev.8*
%doc %{_mandir}/man8/ramsize.8*
%doc %{_mandir}/man8/rootflags.8*
%doc %{_mandir}/man8/swapdev.8*
%doc %{_mandir}/man8/vidmode.8*
%endif

%{_infodir}/ipc.info.gz

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rename
/usr/bin/rev
/usr/bin/ul

%doc %{_mandir}/man1/col.1*
%doc %{_mandir}/man1/colcrt.1*
%doc %{_mandir}/man1/colrm.1*
%doc %{_mandir}/man1/column.1*
%doc %{_mandir}/man1/hexdump.1*
%doc %{_mandir}/man1/rename.1*
%doc %{_mandir}/man1/rev.1*
%doc %{_mandir}/man1/ul.1*

/bin/more
%doc %{_mandir}/man1/more.1*
/usr/share/misc/more.help

%ifarch i386 i486 i586 i686 alpha
%doc %{_mandir}/man8/fsck.minix.8*
%doc %{_mandir}/man8/mkfs.minix.8*
%doc %{_mandir}/man8/mkfs.8*
%endif

%doc %{_mandir}/man8/fdisk.8*

%ifarch i386 i486 i586 i686 alpha armv4l
%doc %{_mandir}/man8/cfdisk.8*
%endif

%doc */README.*

%ifarch i386 i486 i586 i686 alpha
%attr(0750,root,root)	/sbin/sfdisk
%doc %{_mandir}/man8/sfdisk.8*
%doc fdisk/sfdisk.examples
%endif

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.10q, Release 1.5.1
  - Remove duplicate msgid in pt_BR.po.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.
  - Fix %clean stanza.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.10q, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Mon Mar 26 2001 Pete O'Hara <pete@guardiandigital.com>
- removed HAVE_SLANG=yes in master patch to compile
	cfdisk without slang libraries

* Mon Mar 26 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.10q, Release 1.0.8
  - Added slang Requirement.

* Thu Feb 15 2001 Pete O'Hara <pete@guardiandigital.com>
- changed Requires: kernel >=2.2.17-xxx to just 2.2.17

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- added Provides: util-linux

* Wed Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- created a new /etc/pam.d/login file for EnGarde
- fixed "ifarch" that only specified i386 to include
        i(456)86

* Fri Nov 17 2000 Dave Wreski <dave@guardiandigital.com>
- upgraded to 2.10q (2.4-test, security improvements)
- updated patches
- removed /usr/local from default path
- disk-utils/raw.c: changed <linux/raw.h> to <sys/raw.h>
- fix broken getopt path (change to /usr/share/misc/getopt)
- fix broken more.help path (change to /usr/share/misc/more.help)
- fix permissions on pam files

* Sat Oct 28 2000 Dave Wreski <dave@guardiandigital.com>
- Included RH rescuept tool
- FHS support
- added RH patches
- removed banner

* Mon Sep 18 2000 Pete O'Hara <pete@guardiandigital.com>
- removed NFS support - kept the patches in for future
	turning support back on 

* Wed Aug 23 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /usr/bin/logger
- removed /usr/bin/chsh, chfn - using the ones in shadow-utils

* Wed Jul 5 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "nullok" from pam.d/login config file
- removed suid and world access to /usr/bin/chsh, chfn
- removed newgrp from rpm
- removed sgid from /bin/write
- changed /etc/pam.d/login in conjunction with new
	pam_access module to deny console login to 	
	everyone but root
